API Explorer 1884 endpoints

Get parcel by id

GET /obp/v7.0.0/banks/SYS/dynamic-entities/parcel/PARCEL_ID

OBPv7.0.0-dynamicEntity_getSingleparcel_ Roles: CanGetDynamicEntityRecord_parcel(per bank) _ParcelDynamic-EntityDynamic

Get parcel by id.

Parsed entity parcel. This Dynamic Entity is part of OGCR.

Property List:

  • parcel_id: Internal identifier for the parcel.
  • multipolygon_coordinates: GeoJSON MultiPolygon boundary of the parcel.
  • coordinate_reference_system: Coordinate Reference System (CRS) identifier that defines how to interpret the geometry coordinates (e.g., EPSG:4326 for WGS84).

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"parcel"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example success response
{
  "bank_id": "SYS",
  "parcel": {
    "parcel_id": "parcel_03OGNWO397234DQ",
    "multipolygon_coordinates": {
      "type": "MultiPolygon",
      "coordinates": [
        [
          [
            [
              13.405,
              52.52
            ],
            [
              13.406,
              52.52
            ],
            [
              13.406,
              52.521
            ],
            [
              13.405,
              52.521
            ],
            [
              13.405,
              52.52
            ]
          ]
        ]
      ]
    },
    "coordinate_reference_system": "EPSG:4326"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_getSingleparcel_ Originally /banks/SYS/dynamic-entities/parcel/PARCEL_ID